% d
% Փ˂̉^𐔒lIɉ

global mass;
global spring;
global grav;

mass = 1.0;
spring = 100.0;
grav = 9.8;

interval = [0, 50]; % σXebv
qinit = [100; 0]; % l
options = odeset('AbsTol',1e-12, 'MaxStep',0.1);
%[time, q] = ode45(@collision, interval, qinit, options);
[time, q] = ode23tb(@collision, interval, qinit, options);

set(0,'defaultAxesFontSize',16);
set(0,'defaultTextFontSize',16);

plot(time,q(:,1));
xlabel('time');
ylabel('position');
%legend('x');
grid on;
saveas(gcf, 'collision-position.eps', 'eps');
fprintf("t-x Ot\n");
fprintf("ꎞ~F̃L[Ă\n");
pause;

plot(time,q(:,2));
xlabel('time');
ylabel('velocity');
%legend('v');
grid on;
saveas(gcf, 'collision-velocity.eps', 'eps');
fprintf("t-v Ot\n");
fprintf("ꎞ~F̃L[Ă\n");
pause;

s = size(time);
n = s(1);
dt = time(2:n) - time(1:n-1);
plot(time(1:n-1),dt);
xlabel('time');
ylabel('time step');
grid on;
saveas(gcf, 'collision-interval.eps', 'eps');
fprintf("t-Xebv\n");
fprintf("ꎞ~F̃L[Ă\n");
pause;
